Bug 60973 - Recalculation on load: "Prompt user" not working
Summary: Recalculation on load: "Prompt user" not working
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-16 21:12 UTC by Christian Fries
Modified: 2015-09-04 03:02 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Fries 2013-02-16 21:12:24 UTC
LibreOffice 4.0.0.3 offers a setting at Preferences->LibreOffice Calc->Formula called "Recalculation on file load".

The option "Prompt user" is not working and behaving as "Never recalculate" (the user is not prompted for recalculation).

(tested with the Mac OS X version, likely platform independent).
Comment 1 Jorendc 2013-02-16 22:47:20 UTC
I can confirm this using Linux Mint 14 x64 and LibreOffice Version 4.1.0.0.alpha0+ (Build ID: c16e9f4ed97f65357e9986f46ad88ee9f223799).

Therefore I mark this as NEW. I can't find a duplicate so far.

Following [1] I mark this as 'minor medium':
* Minor: does require users not to use a feature
* Medium: as far I can see not a regression? otherwise this will be set to 'high'

@Christian: this worked well with previous versions? (I mean: you know a version of LibreOffice where it worked)

kind regards,
Joren

[1] https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg
Comment 2 Christian Fries 2013-02-16 23:07:45 UTC
The option to choose between "Always", "Prompt" and "Never" was not present int LibreOffice 3.6 and the behavior of LibreOffice 3.6 was "Always".

LibreOffice 4.0 introduced the choice AND switched the default behavior to "Never".
Comment 3 Jorendc 2013-02-16 23:12:41 UTC
Ok, thanks for your feedback. I will investigate this feature worked well right after the introduction of it, or it just never worked.

Kind regards,
Joren
Comment 4 Markus Mohrhard 2013-02-18 00:01:46 UTC
The option "Prompt user" is only for files not generated by Libreoffice and older Libreoffice versions.
The difference between the handling of own files and files created by a different producer is because we can be sure that the cached value in own files is correct.
Comment 5 Pedro 2013-03-05 17:02:46 UTC
This option doesn't work with hard_recalc.ods which was created with LibreOffice/3.4$Linux LibreOffice_project/340m1$Build-502
i.e. it does NOT prompt the user

In any case if LibreOffice/3.4$Linux LibreOffice_project/340m1$Build-502 is NOT considered an Old version then choosing "Recalculation on file load = Always recalculate" should NOT work either. Yet it does recalculate.

hard_recalc.ods is available at http://motah.org.sa/dev/libreoffice.git//sc/qa/unit/data/ods/
Comment 6 Christian Fries 2013-03-05 18:56:00 UTC
Also note: Doing a fresh install of Libre Office 4.0.0.3 OS X the default option is "Never calculated" which is a problem...
Comment 7 Joel Madero 2014-11-06 21:17:34 UTC
Never confirmed by QA and Markus who is one of our lead calc developers said it's not a bug....that being said moving to UNCONFIRMED for a second independent confirmation.
Comment 8 Buovjaga 2014-11-16 18:04:57 UTC
For me, "Prompt user" worked for attachment 81611 [details]. If someone objects, they can change to UNCONFIRMED.

Win 7 64-bit Version: 4.4.0.0.alpha2+
Build ID: b021b5983c62e266b82d9f0c5c6d8d8900553827
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-12_01:10:08
Comment 9 Jan-Marek Glogowski 2014-11-28 12:45:18 UTC
(In reply to Beluga from comment #8)
> For me, "Prompt user" worked for attachment 81611 [details]. If someone
> objects, they can change to UNCONFIRMED.
> 
> Win 7 64-bit Version: 4.4.0.0.alpha2+
> Build ID: b021b5983c62e266b82d9f0c5c6d8d8900553827
> TinderBox: Win-x86@39, Branch:master, Time: 2014-11-12_01:10:08

The reporter claimed this bug might be a platform dependent bug. And I see the described behaviour on master 2014-11-28 on Linux and LO 4.1.6 (see bug 86737).

Also see comment 5.

(In reply to Joel Madero from comment #7)
> Never confirmed by QA and Markus who is one of our lead calc developers said
> it's not a bug....that being said moving to UNCONFIRMED for a second
> independent confirmation.

Well - Markus didn't actually said anything about the non-working "Prompt user" in contrast to "Always".

For me "Always" recalculates, and "Prompt" doesn't and there is actually no prompt on Linux (with document attached to bug 86737).
Comment 10 raal 2014-11-28 15:24:40 UTC
> For me "Always" recalculates, and "Prompt" doesn't and there is actually no
> prompt on Linux (with document attached to bug 86737).

I can confirm with LO 4.3.3.2, linux

I can not confirm with 
Version: 4.5.0.0.alpha0+
Build ID: 90fe751ab381cf59e87b79d921b3773567774af2
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-11-27_06:13:34

Version: 4.3.6.0.0+
Build ID: 9e57326acebde972df22ea4368b5ce4822d51330
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:libreoffice-4-3, Time: 2014-11-27_12:21:59

message:
This document was last saved by an application other than LibreOfficeDev.  Some formula cells may produce different results when recalculated.
Do you want to recalculate all formula cells in this document now? 

Seems to be fixed in dev version. Leaving unconfirmed because Christian tested with the Mac OS X version.
Comment 11 tommy27 2015-01-18 11:09:44 UTC
@Christian Fries
please read previous comment and tell if you still reproduce that bug with one of the newer LibO releases raal tested with

@raal
did you tried 4.3.5.2 as well?
Comment 12 QA Administrators 2015-07-18 17:36:50 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

This NEEDINFO message was generated on: 2015-07-18
Comment 13 QA Administrators 2015-09-04 03:02:04 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Message generated on: 2015-09-03